Get Sensor Feature Config

Get Sensor Feature Config
Get sensor appliance feature configuration by id

Get feature configuration for the sensor appliance with the specified id.

Request
URI
GET
https://{api_host}/sensors/appliances/{appliance-id}/feature-config
COPY
Path Parameters
string
appliance-id
Required  

Used to identify a sensor appliance.

appliance-id example
8c147e21-7410-4f77-a3a6-e7aa6034992f

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorFeatureConfig of type(s) application/json
{
    "flows_enabled": true,
    "ids_config": {
        "pcap_enabled": false
    },
    "ids_enabled": true,
    "mps_config": {
        "archive_file_type": true,
        "data_file_type": true,
        "document_file_type": true,
        "executable_file_type": true,
        "media_file_type": true,
        "other_file_type": true,
        "script_file_type": true
    },
    "mps_enabled": false
}
boolean
ids_enabled
Required  

Specifies if IDS events are to be sent by sensors.

object
ids_config
Optional

Configuration of IDS on the sensor.

boolean
flows_enabled
Required  

Specifies if flows are to be collected by sensors.

boolean
mps_enabled
Required  

Specifies if MPS (file events) are to be sent by sensors.

object
mps_config
Optional

Configuration of MPS for the sensor.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances/{appliance-id}/feature-config